                      Computer Science 825
                         Quiz 5              Name _______________________

1. For the IEEE token bus match the control packet that will be generated
   as a result of each of the following conditions.  Some answeres may
   be used 0 times or more than one time!

   ____ a. A station recognizes a WHO_FOLLOWS   1. SOLICIT_SUCCESSOR_2
           packet naming its predececessor.
                                                2. WHO_FOLLOWS
   ____ b. A station wishes to leave the net
           in an orderly way.                   3. SET_SUCCESSOR

   ____ c. A collision occurs when two          4. RESOLVE_CONTENTION
           stations try to claim the token
           at the same time.                    5. CLAIM_TOKEN

   ____ d. A station wishes to respond to a     6. SOLICIT_SUCCESSOR
           SOLICIT_SUCCESSOR frame.
                                                7. RESOLVE_SUCCESSOR
   ____ e. A station times out twice after
           sending a WHO_FOLLOWS frame.

2. In an 802.5 token ring system suppose the following events occur:

   Station A transmits to E using priority 1 token
   Station C makes a priority  5 reservation
   Station A generates a priority 5 token
   Station B transmits a priority 5 message to station C
   Station B transmits a priority 5 token
   Station C transmits a priority 5 message to station B

   Who is responsible for regenerating a priority 3 token?



3. Suppose bit transmission rate is 4,000,000 b.p.s and signal propogation is
   200,000 KM / sec. How long must a cable be to hold an entire 24 bit token.






4. With the priority schemes used in token bus and token ring it is
   possible to ensure that starvation of low priority traffic doesn't
   occur

   a. in token ring but                 b. in both token ring
      not in token bus.                    and token bus

   c. in neither token ring             d. in token bus but not
      nor token bus                        in token ring.

5. Dealing with "orphan frames" is a problem that must be dealt with

   a. in token ring but                 b. in both token ring
      not in token bus.                    and token bus

   c. in neither token ring             d. in token bus but not
      nor token bus                        in token ring.


6. Two standard measures of network performance are sustained throughput
   and mean packet delay. High sustained throughput is good and low mean
   packet delay is good.  For each of the following select the answer that
   bests compares CSMA/CD with token passing.

   a. Sustainable throughput at very high loads
      1. CSMA/CD is better          2. Token passing is better
      3. No measureable difference

   b. Packet delay at very high loads
      1. CSMA/CD is better          2. Token passing is better
      3. No measureable difference

   c. Sustainable throughput at very low loads
      1. CSMA/CD is better          2. Token passing is better
      3. No measureable difference

   d. Packet delay at very low loads
      1. CSMA/CD is better          2. Token passing is better
      3. No measureable difference


7. Suppose a token ring transmits data at a rate of 10,000,000 bits/sec.

   a. Suppose signal propogation speed is 200,000,000 m/sec and the
      stations on a token ring are an average of 40 meters distant
      from each other. How many microseconds does it take the signal
      to propogate from one station to another.






   b. Suppose the ring has 100 stations and each station introduces
      a propogation delay of 1 bit time. What is the average delay (in usec)
      experienced by a station after it becomes ready but before it
      can begin transmitting on an IDLE RING.




8. a. How would having the receiver be responsible for removing a frame
      from a token ring contribute to the "orphan frame" problem?




   b. Why does the use of a 1 bit store-and-forward buffer in the
      token ring interface make it not feasible for the receiver
      to be responsible for removing a frame?


